POST
/pix/DEPOSITCriar cobrança Pix
Requer permissão DEPOSIT no token.
Cria uma cobrança Pix (cash-in). Retorna QR Code para pagamento.
Headers
| Authorization | Bearer <seu_token> |
| Content-Type | application/json |
Body da requisiçãoobrigatório
| Campo | Tipo | Descrição |
|---|---|---|
amount* | number | — |
callbackUrl | stringuri | — |
generatedName | string | Nome do pagador esperado — apenas letras, espaços e acentos |
generatedDocument | string | CPF (11 dígitos) ou CNPJ (14 dígitos) do pagador esperado |
generatedEmail | string | — |
expiresIn | integer | Tempo de expiração em segundos |
clientReference | string | ID externo para correlação no seu sistema |
Respostas
Cobrança criada com sucesso
| Campo | Tipo | Descrição |
|---|---|---|
id | string | — |
type | TransactionType | DEPOSITWITHDRAWCOMMISSION |
status | TransactionStatus | PENDINGCOMPLETEDCANCELEDWAITING_FOR_REFUNDREFUNDEDEXPIREDERROR |
amount | number | — |
serviceFeeCharged | number? | — |
clientReference | string? | — |
qrCodeText | string? | — |
qrCodeUrl | string? | — |
qrCodeBase64 | string? | — |
generatedName | string? | — |
generatedDocument | string? | — |
generatedEmail | string? | — |
payerName | string? | — |
payerDocument | string? | — |
payerInstitutionIspb | string? | — |
payerInstitutionName | string? | — |
receiverName | string? | — |
receiverDocument | string? | — |
receiverInstitutionIspb | string? | — |
receiverInstitutionName | string? | — |
withdrawPixKey | string? | Chave PIX usada no saque (preenchido em saque via chave) |
withdrawPixType | PixType? | Tipo da chave PIX (preenchido em saque via chave) cpfcnpjemailphoneevp |
withdrawQrCodeText | string? | Payload EMV Pix Copia e Cola usado no saque (preenchido em saque via QR Code) |
endToEndId | string? | — |
cancellationReason | string? | — |
paidAt | string?date-time | — |
refundEndToEndId | string? | — |
refundAmount | number? | — |
refundStatus | RefundStatus? | PENDINGCOMPLETEDCANCELED |
refundReason | RefundReason? | CUSTOMER_REQUESTDENY_COMPANY_DEPOSITINFRACTION |
refundDescription | string? | — |
refundedAt | string?date-time | — |
createdAt | stringdate-time | — |
updatedAt | stringdate-time | — |
Exemplos
curl "https://api.evopay.cash/v1/pix/" \
-X POST \
-H "Authorization: Bearer <seu_token>" \
-H "Content-Type: application/json" \
--data-raw '{
"amount": 100,
"callbackUrl": "https://seu-servidor.com/webhook",
"generatedName": "exemplo",
"generatedDocument": "12345678901",
"generatedEmail": "usuario@email.com",
"expiresIn": 30,
"clientReference": "exemplo"
}'